Package org.sunflow.core

# Interface GlobalPhotonMapInterface

All Superinterfaces:
  `PhotonStore`

All Known Implementing Classes:
  `GlobalPhotonMap`, `GridPhotonMap`

public interface GlobalPhotonMapInterface extends PhotonStore
Represents a global photon map. This is a structure which can return a rough approximation of the diffuse radiance at a given surface point.

## Method Summary

Modifier and Type
Method
Description
`Color`
`getRadiance(Point3 p, Vector3 n)`
Lookup the global diffuse radiance at the specified surface point.

### Methods inherited from interface org.sunflow.core.PhotonStore

`allowDiffuseBounced, allowReflectionBounced, allowRefractionBounced, init, numEmit, prepare, store`

## Method Details

### getRadiance

Color getRadiance(Point3 p, Vector3 n)
Lookup the global diffuse radiance at the specified surface point.

Parameters:
  `p` - surface position
  `n` - surface normal
Returns:
  an approximation of global diffuse radiance at this point